"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChannelSendPolicy = exports.ChannelType = exports.UserState = exports.MessageAttachmentType = exports.MessageState = exports.RemoteSdpType = exports.InternalApi = exports.TrackType = exports.ParticipantRole = exports.Operations = exports.RoomState = exports.State = exports.RoomEvent = exports.SfuEvent = void 0;
var SfuEvent;
(function (SfuEvent) {
    SfuEvent["CONNECTED"] = "CONNECTED";
    SfuEvent["FAILED"] = "FAILED";
    SfuEvent["DISCONNECTED"] = "DISCONNECTED";
    SfuEvent["MESSAGE"] = "MESSAGE";
    SfuEvent["USER_LIST"] = "USER_LIST";
    SfuEvent["USER_CHATS"] = "USER_CHATS";
    SfuEvent["CHAT_LOADED"] = "CHAT_LOADED";
    SfuEvent["NEW_CHAT"] = "NEW_CHAT";
    SfuEvent["CHAT_DELETED"] = "CHAT_DELETED";
    SfuEvent["CHAT_UPDATED"] = "CHAT_UPDATED";
    SfuEvent["MESSAGE_STATE"] = "MESSAGE_STATE";
    SfuEvent["CONTACT_UPDATE"] = "CONTACT_UPDATE";
    SfuEvent["CONTACT_REMOVED"] = "CONTACT_REMOVED";
    SfuEvent["CONTACT_INVITE"] = "CONTACT_INVITE";
    SfuEvent["PUBLIC_CHANNELS"] = "PUBLIC_CHANNELS";
    SfuEvent["USER_CALENDAR"] = "USER_CALENDAR";
    SfuEvent["ACK"] = "ACK";
})(SfuEvent = exports.SfuEvent || (exports.SfuEvent = {}));
var RoomEvent;
(function (RoomEvent) {
    RoomEvent["CREATED"] = "CREATED";
    RoomEvent["FAILED"] = "FAILED";
    RoomEvent["ADD_TRACKS"] = "ADD_TRACKS";
    RoomEvent["REMOVE_TRACKS"] = "REMOVE_TRACKS";
    RoomEvent["MESSAGE"] = "MESSAGE";
    RoomEvent["CONTROL_MESSAGE"] = "CONTROL_MESSAGE";
    RoomEvent["JOINED"] = "JOINED";
    RoomEvent["LEFT"] = "LEFT";
    RoomEvent["DETACHED"] = "DETACHED";
    RoomEvent["EVICTED"] = "EVICTED";
    RoomEvent["REMOTE_SDP"] = "REMOTE_SDP";
    RoomEvent["TRACK_QUALITY_STATE"] = "TRACK_QUALITY_STATE";
    RoomEvent["OPERATION_FAILED"] = "OPERATION_FAILED";
    RoomEvent["WAITING_LIST"] = "SFU_WAITING_LIST";
    RoomEvent["WAITING_ROOM_UPDATE"] = "SFU_WAITING_ROOM_UPDATE";
    RoomEvent["MUTE_TRACKS"] = "MUTE_TRACKS";
    RoomEvent["PARTICIPANT_LIST"] = "PARTICIPANT_LIST";
    RoomEvent["ROLE_ASSIGNED"] = "ROLE_ASSIGNED";
})(RoomEvent = exports.RoomEvent || (exports.RoomEvent = {}));
var State;
(function (State) {
    State["NEW"] = "NEW";
    State["PENDING"] = "PENDING";
    State["CONNECTED"] = "CONNECTED";
    State["AUTHENTICATED"] = "AUTHENTICATED";
    State["DISCONNECTED"] = "DISCONNECTED";
    State["FAILED"] = "FAILED";
})(State = exports.State || (exports.State = {}));
var RoomState;
(function (RoomState) {
    RoomState["NEW"] = "NEW";
    RoomState["PENDING"] = "PENDING";
    RoomState["JOINED"] = "JOINED";
    RoomState["FAILED"] = "FAILED";
    RoomState["DISPOSED"] = "DISPOSED";
})(RoomState = exports.RoomState || (exports.RoomState = {}));
var Operations;
(function (Operations) {
    Operations["ROOM_CREATE"] = "ROOM_CREATE";
    Operations["ROOM_JOIN"] = "ROOM_JOIN";
    Operations["ROOM_DESTROY"] = "ROOM_DESTROY";
    Operations["SEND_MESSAGE"] = "SEND_MESSAGE";
    Operations["USER_LIST"] = "USER_LIST";
    Operations["USER_CALENDAR"] = "USER_CALENDAR";
    Operations["ADD_CALENDAR_EVENT"] = "ADD_CALENDAR_EVENT";
    Operations["REMOVE_CALENDAR_EVENT"] = "REMOVE_CALENDAR_EVENT";
    Operations["ROOM_UPDATE"] = "ROOM_UPDATE";
    Operations["MUTE_TRACKS"] = "MUTE_TRACKS";
    Operations["ASSIGN_ROLE"] = "ASSIGN_ROLE";
    Operations["SUBSCRIBE_TO_WAITING_PARTICIPANT"] = "SUBSCRIBE_TO_WAITING_PARTICIPANT";
    Operations["UNSUBSCRIBE_FROM_WAITING_PARTICIPANT"] = "UNSUBSCRIBE_FROM_WAITING_PARTICIPANT";
    Operations["MOVE_TO_WAITING_ROOM"] = "MOVE_TO_WAITING_ROOM";
    Operations["CREATE_CHAT"] = "CREATE_CHAT";
    Operations["DELETE_CHAT"] = "DELETE_CHAT";
    Operations["RENAME_CHAT"] = "RENAME_CHAT";
    Operations["LOAD_CHAT"] = "LOAD_CHAT";
    Operations["ADD_MEMBER_TO_CHAT"] = "ADD_MEMBER_TO_CHAT";
    Operations["REMOVE_MEMBER_FROM_CHAT"] = "REMOVE_MEMBER_FROM_CHAT";
    Operations["UPDATE_CHAT_PREFERENCES"] = "UPDATE_CHAT_PREFERENCES";
    Operations["GET_USER_CHATS"] = "GET_USER_CHATS";
})(Operations = exports.Operations || (exports.Operations = {}));
var ParticipantRole;
(function (ParticipantRole) {
    ParticipantRole["OWNER"] = "OWNER";
    ParticipantRole["ADMIN"] = "ADMIN";
    ParticipantRole["PARTICIPANT"] = "PARTICIPANT";
})(ParticipantRole = exports.ParticipantRole || (exports.ParticipantRole = {}));
var TrackType;
(function (TrackType) {
    TrackType["AUDIO"] = "AUDIO";
    TrackType["VIDEO"] = "VIDEO";
})(TrackType = exports.TrackType || (exports.TrackType = {}));
var InternalApi;
(function (InternalApi) {
    InternalApi["Z_APP"] = "sfuZClientApp";
    InternalApi["P_APP"] = "sfuApp";
    InternalApi["DEFAULT_METHOD"] = "sfuCallback";
    InternalApi["JOIN_ROOM"] = "joinRoom";
    InternalApi["CREATE_ROOM"] = "createRoom";
    InternalApi["UPDATE_ROOM_STATE"] = "updateRoomState";
    InternalApi["DESTROY_ROOM"] = "destroyRoom";
    InternalApi["LEAVE_ROOM"] = "leaveRoom";
    InternalApi["CHANGE_QUALITY"] = "changeQuality";
    InternalApi["AUTHORIZE_WAITING_LIST"] = "authorizeWaitingList";
    InternalApi["MESSAGE"] = "SFU_MESSAGE";
    InternalApi["MESSAGE_STATE"] = "SFU_MESSAGE_STATE";
    InternalApi["USER_LIST"] = "SFU_USER_LIST";
    InternalApi["USER_CALENDAR"] = "SFU_USER_CALENDAR";
    InternalApi["USER_CHATS"] = "SFU_USER_CHATS";
    InternalApi["PUBLIC_CHANNELS"] = "SFU_PUBLIC_CHANNELS";
    InternalApi["CHAT_LOADED"] = "SFU_CHAT_LOADED";
    InternalApi["NEW_CHAT"] = "SFU_NEW_CHAT";
    InternalApi["CHAT_DELETED"] = "SFU_CHAT_DELETED";
    InternalApi["CHAT_UPDATED"] = "SFU_UPDATE_CHAT";
    InternalApi["CONTACT_UPDATED"] = "SFU_CONTACT_UPDATE";
    InternalApi["CONTACT_INVITE"] = "SFU_CONTACT_INVITE";
    InternalApi["CONTACT_REMOVED"] = "SFU_CONTACT_REMOVED";
    InternalApi["GET_USER_LIST"] = "getUserList";
    InternalApi["GET_USER_CALENDAR"] = "getUserCalendar";
    InternalApi["ADD_CALENDAR_EVENT"] = "addCalendarEvent";
    InternalApi["REMOVE_CALENDAR_EVENT"] = "removeCalendarEvent";
    InternalApi["MUTE_TRACK"] = "muteTrack";
    InternalApi["SEND_MESSAGE"] = "sendMessage";
    InternalApi["SEND_CONTROL_MESSAGE"] = "sendControlMessage";
    InternalApi["MARK_MESSAGE_READ"] = "markMessageRead";
    InternalApi["MARK_MESSAGE_UNREAD"] = "markMessageUnread";
    InternalApi["INVITE_CONTACT"] = "inviteContact";
    InternalApi["REMOVE_CONTACT"] = "removeContact";
    InternalApi["CONFIRM_CONTACT"] = "confirmContact";
    InternalApi["ASSIGN_ROLE"] = "assignRole";
    InternalApi["SUBSCRIBE_TO_WAITING_PARTICIPANT"] = "subscribeToWaitingParticipant";
    InternalApi["UNSUBSCRIBE_FROM_WAITING_PARTICIPANT"] = "unsubscribeFromWaitingParticipant";
    InternalApi["MOVE_TO_WAITING_ROOM"] = "moveToWaitingRoom";
    InternalApi["CONFIGURE_WAITING_ROOM"] = "configureWaitingRoom";
    InternalApi["TRACK_CONTENT_HEADER"] = "a=content =";
    InternalApi["GET_USER_CHATS"] = "getUserChats";
    InternalApi["GET_PUBLIC_CHANNELS"] = "getPublicChannels";
    InternalApi["LOAD_CHAT"] = "loadChat";
    InternalApi["CREATE_CHAT"] = "createChat";
    InternalApi["DELETE_CHAT"] = "deleteChat";
    InternalApi["RENAME_CHAT"] = "renameChat";
    InternalApi["ADD_MEMBER_TO_CHAT"] = "addMemberToChat";
    InternalApi["REMOVE_MEMBER_FROM_CHAT"] = "removeMemberFromChat";
    InternalApi["UPDATE_CHANNEL_SEND_POLICY"] = "updateChannelSendPolicy";
    InternalApi["ADD_CHANNEL_SEND_PERMISSION_LIST_MEMBER"] = "addChannelSendPermissionListMember";
    InternalApi["REMOVE_CHANNEL_SEND_PERMISSION_LIST_MEMBER"] = "removeChannelSendPermissionListMember";
    InternalApi["ADD_CHAT_TO_FAVOURITES"] = "addChatToFavourites";
    InternalApi["REMOVE_CHAT_FROM_FAVOURITES"] = "removeChatFromFavourites";
})(InternalApi = exports.InternalApi || (exports.InternalApi = {}));
var RemoteSdpType;
(function (RemoteSdpType) {
    RemoteSdpType["OFFER"] = "offer";
    RemoteSdpType["ANSWER"] = "answer";
})(RemoteSdpType = exports.RemoteSdpType || (exports.RemoteSdpType = {}));
var MessageState;
(function (MessageState) {
    MessageState["NO_DELIVERY_NO_READ"] = "NO_DELIVERY_NO_READ";
    MessageState["PARTIAL_DELIVERY_NO_READ"] = "PARTIAL_DELIVERY_NO_READ";
    MessageState["PARTIAL_DELIVERY_PARTIAL_READ"] = "PARTIAL_DELIVERY_PARTIAL_READ";
    MessageState["FULL_DELIVERY_NO_READ"] = "FULL_DELIVERY_NO_READ";
    MessageState["FULL_DELIVERY_PARTIAL_READ"] = "FULL_DELIVERY_PARTIAL_READ";
    MessageState["FULL_DELIVERY_FULL_READ"] = "FULL_DELIVERY_FULL_READ";
})(MessageState = exports.MessageState || (exports.MessageState = {}));
var MessageAttachmentType;
(function (MessageAttachmentType) {
    MessageAttachmentType["file"] = "file";
    MessageAttachmentType["picture"] = "picture";
})(MessageAttachmentType = exports.MessageAttachmentType || (exports.MessageAttachmentType = {}));
var UserState;
(function (UserState) {
    UserState["OFFLINE"] = "OFFLINE";
    UserState["ONLINE"] = "ONLINE";
})(UserState = exports.UserState || (exports.UserState = {}));
var ChannelType;
(function (ChannelType) {
    ChannelType["PUBLIC"] = "PUBLIC";
    ChannelType["PRIVATE"] = "PRIVATE";
})(ChannelType = exports.ChannelType || (exports.ChannelType = {}));
var ChannelSendPolicy;
(function (ChannelSendPolicy) {
    ChannelSendPolicy["EVERYONE"] = "EVERYONE";
    ChannelSendPolicy["ADMIN"] = "ADMIN";
    ChannelSendPolicy["ADMIN_AND_LIST"] = "ADMIN_AND_LIST";
})(ChannelSendPolicy = exports.ChannelSendPolicy || (exports.ChannelSendPolicy = {}));
//# sourceMappingURL=constants.js.map