import { InternalMessage } from "./constants";
declare type InitialUserData = {
    sipLogin: string;
    sipVisibleName: string;
    pmi: string;
};
declare type OnMessageCallback = (arg0: string, arg1: Array<InternalMessage>) => void;
export declare class Connection {
    private ws;
    private onError;
    private onClose;
    private onMessage;
    private connected;
    private connectionTimeout;
    constructor(onMessage: OnMessageCallback, onError: Function, onClose: Function);
    connect(options: {
        url: string;
        appName: string;
        timeout: number;
        custom: object | null;
    }): Promise<InitialUserData>;
    send(message: string, data: any): void;
    close(): void;
}
export {};
