import { Room } from "./room";
import { Connection } from "./connection";
import { ParticipantRole, WaitingRoomUpdate } from "./constants";
export declare class RoomExtended extends Room {
    constructor(connection: Connection, pc: RTCPeerConnection, name: string, pin: string);
    sendControlMessage(to: string, msg: string, broadcast: boolean): Promise<void>;
    authorizeWaitingList(userId: string, authorized: boolean): Promise<void>;
    moveToWaitingRoom(nickname: string): Promise<void>;
    configureWaitingRoom(enabled: boolean): Promise<WaitingRoomUpdate>;
    assignRole(nickname: string, role: ParticipantRole): Promise<void>;
    subscribeToWaitingParticipant(nickname: string): Promise<void>;
    unsubscribeFromWaitingParticipant(nickname: string): Promise<void>;
}
