import { CreatedRoom, InternalMessage, JoinedRoom, LeftRoom, ParticipantRole, RoomEvent, RoomState } from "./constants";
import { Connection } from "./connection";
export declare class Room {
    #private;
    protected connection: Connection;
    _name: string;
    protected pr: string;
    constructor(connection: Connection, pc: RTCPeerConnection, name: string, pin: string);
    processEvent(e: InternalMessage): Promise<void>;
    createRoom(): Promise<CreatedRoom>;
    join(config?: {
        [key: string]: string;
    }): Promise<JoinedRoom>;
    updateState(config?: {
        [key: string]: string;
    }): Promise<void>;
    destroyRoom(): Promise<void>;
    leaveRoom(): Promise<LeftRoom>;
    sendMessage(msg: string): Promise<void>;
    changeQuality(trackId: string, quality: string, tid: number): Promise<void>;
    muteTrack(trackId: string, mute: boolean): Promise<void>;
    on(event: RoomEvent, callback: (arg0: InternalMessage) => void): Room;
    off(event: RoomEvent, callback: (arg0: InternalMessage) => void): Room;
    name(): string;
    pin(): string;
    pc(): RTCPeerConnection;
    role(): ParticipantRole;
    invite(): string;
    state(): RoomState;
}
