
type PrefixFunction = () => string;
let prefix:PrefixFunction = () => "";

export const setPrefix = (func:PrefixFunction) => {
    if (typeof func !== "function") {
        throw new Error("Prefix must be a function");
    }
    prefix = func;
};

export const log = (...args) => {
    console.log(prefix(), ...args);
};

export const info = log;

export default {
    setPrefix,
    log,
    info
}
