const wrtc = require("wrtc");
import {Sfu} from "../../src/sdk/sfu";
import {RoomState, SfuEvent} from "../../src/sdk/constants";

describe("sfu", () => {
    it("should connect", (done) => {
       const sfu = new Sfu();
       sfu.on(SfuEvent.CONNECTED, () => {
           sfu.disconnect();
           done();
       });
       sfu.connect({
           url: "ws://127.0.0.1:8080/",
           nickname: "test",
           logGroup: "test"
       });
    });
    it("should disconnect", (done) => {
        const sfu = new Sfu();
        sfu.on(SfuEvent.CONNECTED, () => {
            sfu.disconnect();
        }).on(SfuEvent.DISCONNECTED, () => {
            done();
        });
        sfu.connect({
            url: "ws://127.0.0.1:8080/",
            nickname: "test",
            logGroup: "test"
        });
    });
    it("should create room", () => {
        const sfu = new Sfu();
        const room = sfu.createRoom({
            pc: new wrtc.RTCPeerConnection(),
            name: "test",
            pin: "1234"
        });
        expect(room).toBeTruthy();
        expect(room.state()).toEqual(RoomState.NEW);
    });
});